MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000381contextpublic2010-04-12 11:072017-03-27 17:11
Reportersteffen 
Assigned ToHans Hagen 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000381: line-break after \index mark
DescriptionMkIV allows a line-break before a dot when there is an \index{keyword} in front of that dot.
Steps To ReproduceSee minimal example (here), see PDF attached.

\setuplayout [width=113mm,location=middle]
\usetypescript[postscript]
\definetypeface[postscript][rm][serif][times][default]
\mainlanguage[de]
\setupbodyfont[postscript,10pt] \setupinterlinespace[line=12pt]
\setupalign[line,block]

\starttext

dieses ist dabei typisch für den Bereich der Architekten- oder Ingenieurleistungen\index{Ingenieurleistungen}. Warum?

\stoptext
TagsNo tags attached.
Attached Filespdf file icon index_bug.pdf [^] (7,809 bytes) 2010-04-12 11:07

- Relationships

-  Notes
(0000533)
steffen (reporter)
2010-04-12 16:10

There is a great hack from Wolfgang that lets line-break work ok again:

\unexpanded\def\forcecolorhack{\penalty9999\leaders\hrule\normalhskip\zeropoint}
(0000581)
Hans Hagen (manager)
2010-08-02 18:07

This patch cannot be applied as it's just solving your case. You should have used

\index{Ingenieurleistungen}Ingenieurleistungen.

as normally you want he index to refer to the start of the word. As we don't want to break compatibility, and as we want words to get hyphenated a generic solution needs some thinking.

- Issue History
Date Modified Username Field Change
2010-04-12 11:07 steffen New Issue
2010-04-12 11:07 steffen File Added: index_bug.pdf
2010-04-12 16:10 steffen Note Added: 0000533
2010-08-02 18:07 Hans Hagen Note Added: 0000581
2013-04-05 19:48 Hans Hagen Status new => resolved
2013-04-05 19:48 Hans Hagen Resolution open => fixed
2013-04-05 19:48 Hans Hagen Assigned To => Hans Hagen
2017-03-27 17:11 Hans Hagen Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker